Page({
  data: {
    orderPriceYuan: "--.--",
    couponPriceYuan: "--.--",
    payPriceYuan: "--.--",
    totalCount: "0",
    printerStatus: "小票打印中",
    couponPriceYuan: "--.--",
    couponHint: "xxxxxx",
    couponName: "xxxxxxxx",
    couponDateDuration: "xxxx.xx.xx-xxxx.xx.xx",
    isShowCoupon: true
  },
  onLoad(query) {
    console.info(`Page onLoad with query: ${JSON.stringify(query)}`);
  },

  print() {
    //发起打印
    var printer = require("../../utils/printer.js");
    var printCallbackTemp = this.printCallback.bind(this);
    var cmds = [
      printer.setAlign(printer.ALIGN_CENTER),
      printer.printText("storeName"),
      printer.printDivide("-"),
      printer.setAlign(printer.ALIGN_LEFT),
      printer.printText("门店号："),
      printer.printText("收银员账号："),
      printer.printText("订单号："),
      printer.printNowDate(),
      printer.printDivide("-"),
      printer.printText("活动商品"),
      printer.printText("活动名称    " + "    编码    " + "    数量"),
    ];
    for (var i = 0; i < 10; i++) {
      //循环取出商品数据
      // cmds.push();
    }
    cmds.push(printer.printDivide("-"));
    cmds.push(printer.printText("应收金额:"));
    cmds.push(printer.printText("支付方式实付:"));
    for (var i = 0; i < 4; i++) {
      cmds.push(printer.feedPaper());
    }
    printer.print({
      isCheckStatus: getApp().globalData.containerVersionCode > 20,
      cmds: cmds,
      callback: printCallbackTemp
    });
  },


  printCallback(res) {
    //通知后屏打印结果
    my.ix.sendBuddyMessage({
      target: "****************",
      // 填入目标小程序的 AppID
      data: res,
      success: (res) => {
        console.info(`sendBuddyMessage success: ${JSON.stringify(res)}`);
      },
      fail: (res) => {
        console.info(`sendBuddyMessage failed: ${JSON.stringify(res)}`);
      }
    });
  },

  onShow() {
    //开启后屏监听
    my.ix.onBuddyMessage({
      success: (res) => {
        console.info(`onBuddyMessage success: ${JSON.stringify(res)}`);
        if ("") {
          //重新打印 

        } else {
          //未知指令
        }
      }
    });
  },

  onHide() {
    //关闭后屏监听
    my.ix.offBuddyMessage();
  }
});
